Channels
Create or update a channel profile draft
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthchannelId*stringLength
1 <= length- body
profile*expectedRevision?integerRange
0 <= valueResponse for status 200
application/json- response
profile*curl -X POST 'https://postbot.example/api/projects/string/channels/string/profile-drafts' \
-H 'Content-Type: application/json' \
-d '{
"profile": {}
}'Example Response
{
"profile": {
"id": "string",
"projectId": "string",
"channelId": "string",
"profileId": "string",
"version": 1,
"origin": "built_in",
"state": "draft",
"revision": 1,
"profile": {},
"createdByActorId": "string",
"createdAt": 0,
"updatedAt": 0
}
}